[arch-commits] Commit in vice/repos (4 files)

Giovanni Scafora giovanni at archlinux.org
Wed Jan 6 14:56:19 EST 2010


    Date: Wednesday, January 6, 2010 @ 14:56:19
  Author: giovanni
Revision: 62290

Merged revisions 62288 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/vice/trunk

........
  r62288 | giovanni | 2010-01-06 20:53:37 +0100 (mer, 06 gen 2010) | 2 lines
  
  upgpkg: vice 2.2-1
      upstream release
........

Added:
  vice/repos/extra-x86_64/vice-2.2-x11video.patch
    (from rev 62288, vice/trunk/vice-2.2-x11video.patch)
Modified:
  vice/repos/extra-x86_64/	(properties)
  vice/repos/extra-x86_64/PKGBUILD
Deleted:
  vice/repos/extra-x86_64/vice-2.1-gcc44.patch

-------------------------+
 PKGBUILD                |   17 ++++++++---------
 vice-2.1-gcc44.patch    |   11 -----------
 vice-2.2-x11video.patch |   11 +++++++++++
 3 files changed, 19 insertions(+), 20 deletions(-)


Property changes on: vice/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /vice/trunk:1-44530
   + /vice/trunk:1-62289

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-06 19:54:26 UTC (rev 62289)
+++ extra-x86_64/PKGBUILD	2010-01-06 19:56:19 UTC (rev 62290)
@@ -3,8 +3,8 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=vice
-pkgver=2.1
-pkgrel=3
+pkgver=2.2
+pkgrel=1
 pkgdesc="A Versatile Commodore Emulator"
 arch=('i686' 'x86_64')
 license=('GPL')
@@ -13,16 +13,15 @@
 makedepends=('xorg-font-utils')
 options=('!makeflags')
 source=(http://www.zimmers.net/anonftp/pub/cbm/crossplatform/emulators/VICE/$pkgname-$pkgver.tar.gz
-        vice-2.1-gcc44.patch)
-md5sums=('a4cca1aad12e12ac7f37d6c85310ade8'
-         '579590831e1403f566e4bfc44bcd9f5e')
+        vice-2.2-x11video.patch)
+md5sums=('6737f540806205384e9129026898b0a1'
+         'cd9fe1e8b302160d2ece7166f6f3ddb8')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  patch -Np0 -i ${srcdir}/vice-2.1-gcc44.patch || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i ${srcdir}/vice-2.2-x11video.patch || return 1
   ./configure --prefix=/usr \
               --enable-fullscreen
   make || return 1
-  make DESTDIR=${pkgdir} install
-  rm -rf ${pkgdir}/usr/share/info/dir
+  make DESTDIR="${pkgdir}" install || return 1
 }

Deleted: extra-x86_64/vice-2.1-gcc44.patch
===================================================================
--- extra-x86_64/vice-2.1-gcc44.patch	2010-01-06 19:54:26 UTC (rev 62289)
+++ extra-x86_64/vice-2.1-gcc44.patch	2010-01-06 19:56:19 UTC (rev 62290)
@@ -1,11 +0,0 @@
---- src/arch/unix/joy.c
-+++ src/arch/unix/joy.c
-@@ -124,7 +124,7 @@
- #define JS_DATA_TYPE joystick
- #define JS_RETURN    sizeof(struct joystick)
- int     use_old_api=1;
--#elif
-+#else
- #error Unknown Joystick
- #endif
- 

Copied: vice/repos/extra-x86_64/vice-2.2-x11video.patch (from rev 62288, vice/trunk/vice-2.2-x11video.patch)
===================================================================
--- extra-x86_64/vice-2.2-x11video.patch	                        (rev 0)
+++ extra-x86_64/vice-2.2-x11video.patch	2010-01-06 19:56:19 UTC (rev 62290)
@@ -0,0 +1,11 @@
+--- a/src/arch/unix/x11/xaw/x11video.c	2009-10-21 18:46:45.000000000 +0200
++++ b/src/arch/unix/x11/xaw/x11video.c	2010-01-06 19:57:35.000000000 +0100
+@@ -59,6 +59,8 @@
+ #include <X11/Xutil.h>
+ #include <X11/Intrinsic.h>
+ #include <X11/cursorfont.h>
++#include <X11/Xmd.h>
++#include <X11/extensions/shmproto.h>
+ 
+ #include <stdio.h>
+ #include <stdlib.h>



More information about the arch-commits mailing list